package de.fhdw.wtf.tooling.editor;

import org.eclipse.ui.editors.text.TextEditor;

public class WTFEditor extends TextEditor {
	
	private final ColorManager colorManager;
	
	public WTFEditor() {
		super();
		this.colorManager = ColorManager.create();
		this.setSourceViewerConfiguration(new WTFConfiguration(this.colorManager));
		ConsoleWriter.displayConsoleView();
	}
	
	@Override
	public void dispose() {
		// colorManager.dispose(); // TODO potential Resource Leak -> Question auf StackOverflow erstellen.
		super.dispose();
	}
	
}
